
# Audible Instruments

Based on [Mutable Instruments](https://mutable-instruments.net/) Eurorack modules.

## Building

Compile Rack from source, following the instructions at https://github.com/VCVRack/Rack.

After checking out AudibleInstruments in the `plugins/` directory, get external dependencies with

	git submodule update --init --recursive


## Modules

### Macro Oscillator
Based on [Braids](https://mutable-instruments.net/modules/braids), [Manual](https://mutable-instruments.net/modules/braids/manual/)

![Macro Oscillator](https://vcvrack.com/images/AudibleInstruments/macro%20oscillator.png)
- Sync input doesn't work
- More settings could be supported

### Modal Synthesizer
Based on [Elements](https://mutable-instruments.net/modules/elements), [Manual](https://mutable-instruments.net/modules/elements/manual/)

![Modal Synthesizer](https://vcvrack.com/images/AudibleInstruments/modal%20synthesizer.png)

### Tidal Modulator
Based on [Tides](https://mutable-instruments.net/modules/tides), [Manual](https://mutable-instruments.net/modules/tides/manual/)

![Tidal Modulator](https://vcvrack.com/images/AudibleInstruments/tidal%20modulator.png)

### Wavetable Oscillator
Based on [Sheep](https://mutable-instruments.net/modules/tides/firmware/) (Tides alternative firmware)

### Texture Synthesizer
Based on [Clouds](https://mutable-instruments.net/modules/clouds), [Manual](https://mutable-instruments.net/modules/clouds/manual/)

![Texture Synthesizer](https://vcvrack.com/images/AudibleInstruments/texture%20synthesizer.png)
- edit buttons and lights
- freeze button
- right-click context menus to replace menu diving

### Meta Modulator
Based on [Warps](https://mutable-instruments.net/modules/warps), [Manual](https://mutable-instruments.net/modules/warps/manual/)

![Meta Modulator](https://vcvrack.com/images/AudibleInstruments/meta%20modulator.png)

### Resonator
Based on [Rings](https://mutable-instruments.net/modules/rings), [Manual](https://mutable-instruments.net/modules/rings/manual/)

![Resonator](https://vcvrack.com/images/AudibleInstruments/resonator.png)

### Keyframer/Mixer
Based on [Frames](https://mutable-instruments.net/modules/frames), [Manual](https://mutable-instruments.net/modules/frames/manual/)

### Multiples
Based on [Links](https://mutable-instruments.net/modules/links), [Manual](https://mutable-instruments.net/modules/links/manual/)

![Multiples](https://vcvrack.com/images/AudibleInstruments/multiples.png)

### Utilities
Based on [Kinks](https://mutable-instruments.net/modules/kinks), [Manual](https://mutable-instruments.net/modules/kinks/manual/)

![Utilities](https://vcvrack.com/images/AudibleInstruments/utilities.png)

### Mixer
Based on [Shades](https://mutable-instruments.net/modules/shades), [Manual](https://mutable-instruments.net/modules/shades/manual/)

![Mixer](https://vcvrack.com/images/AudibleInstruments/mixer.png)

### Bernoulli Gate
Based on [Branches](https://mutable-instruments.net/modules/branches), [Manual](https://mutable-instruments.net/modules/branches/manual/)

![Bernoulli Gate](https://vcvrack.com/images/AudibleInstruments/bernoulli%20gate.png)

### Quad VC-polarizer
Based on [Blinds](https://mutable-instruments.net/modules/blinds), [Manual](https://mutable-instruments.net/modules/blinds/manual/)

![Quad VC-polarizer](https://vcvrack.com/images/AudibleInstruments/quad%20VC-polarizer.png)

### Quad VCA
Based on [Veils](https://mutable-instruments.net/modules/veils), [Manual](https://mutable-instruments.net/modules/veils/manual/)

![Quad VCA](https://vcvrack.com/images/AudibleInstruments/quad%20VCA.png)


## Not yet ported

### [Peaks](https://mutable-instruments.net/modules/peaks)
[Manual](https://mutable-instruments.net/modules/peaks/manual/)

### [Ripples](https://mutable-instruments.net/modules/ripples)
[Manual](https://mutable-instruments.net/modules/ripples/manual/)
- analog, but I own a unit. need a free afternoon to port

### [Shelves](https://mutable-instruments.net/modules/shelves)
[Manual](https://mutable-instruments.net/modules/shelves/manual/)
- analog, will not port unless I buy/borrow one or someone contributes a technical model

### [Streams](https://mutable-instruments.net/modules/streams)
[Manual](https://mutable-instruments.net/modules/streams/manual/)
- analog, but it's possible to fake the filter with schematic analysis, need to buy/borrow a unit

### [Yarns](https://mutable-instruments.net/modules/yarns)
[Manual](https://mutable-instruments.net/modules/yarns/manual/)
- functionality covered by the MIDI Interface from core, will not port

### [Ears](https://mutable-instruments.net/modules/ears)
[Manual](https://mutable-instruments.net/modules/ears/manual/)
- a microphone, will not port

### [Edges](https://mutable-instruments.net/modules/edges)
[Manual](https://mutable-instruments.net/modules/edges/manual/)
- GPL, will not port

### [Grids](https://mutable-instruments.net/modules/grids)
[Manual](https://mutable-instruments.net/modules/grids/manual/)
- GPL, will not port

